<odoo>
  <record id="report_leads_html_action" model="ir.actions.report">
        <field name="name">Leads Report</field>
        <field name="model">action_leads_report_wizard</field>
        <field name="report_type">qweb-html</field>
        <field name="report_name">sos_inside_sales.report_leads_html_template</field>
        <field name="binding_model_id" eval="False"/>
        <field name="binding_type">report</field>
    </record>
<template id="report_leads_html_template">
    <t t-call="web.html_container">
        <t t-call="web.basic_layout">
        <link rel="stylesheet" href="/sos_inventory/static/src/css/style.css?v=7" />
         <div class="page">

<br></br>
            <table class="table_custom">
            <thead>
            <tr style="background-color: lavender;">
            <th>S.No</th>
            <th>Company Name</th>
            <th>Lead Generated On</th>
            <th>Location</th>
            <th>Domain / Industry</th>
            <th>Product Interested</th>
            <th>Moved to Sales</th>
            <th>Moved On</th>
            <th>Meeting Schedule</th>
            <th>Remarks</th>
            </tr>
            </thead>
            <tbody>
            <t t-set="index" t-value="1"/>
            <t t-foreach="docs" t-as="rec">
            <tr t-attf-style="background-color: #{'lightgreen' if rec.meeting_scheduled else 'white'};">
            <td><t t-esc="index"/></td>
            <td><t t-esc="rec.company_name"/></td>
            <td><t t-esc="rec.entry_date"/></td>
            <td><t t-esc="rec.location"/></td>
            <td><t t-esc="rec.vertical_domain.name"/></td>
            <td><t t-esc="rec.products"/></td>
            <td>
            <t t-foreach="rec.move_to_sales" t-as="user">
                <div><t t-esc="user.name"/></div>
            </t>
            </td>
            <td><t t-esc="rec.moved_on"/></td>
            <td><t t-esc="rec.meeting_scheduled"/></td>
            <td><t t-esc="rec.remarks"/></td>
            </tr>
            <t t-set="index" t-value="index + 1"/>
            </t>
            </tbody>
            </table>



</div>
</t>
</t>
</template>


</odoo>
